{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 12,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "25_概率的概念及性质.tex\n"
     ]
    }
   ],
   "source": [
    "import os,json,re\n",
    "\n",
    "#这里需要修改, 设定路径与选择文件\n",
    "fileind = 25\n",
    "# path = r\"C:\\Users\\weiye\\Documents\\wwy sync\\23届\\第一轮复习讲义\"\n",
    "path = r\"C:\\Users\\Weiye\\Documents\\wwy sync\\23届\\第一轮复习讲义\"\n",
    "\n",
    "fileind = fileind - 1\n",
    "with open(\"../题库0.3/Problems.json\",\"r\",encoding = \"utf8\") as f:\n",
    "    jsondata = f.read()\n",
    "pro_dict = json.loads(jsondata)\n",
    "\n",
    "filelist = [f for f in os.listdir(path) if \".tex\" in f]\n",
    "file = filelist[fileind]\n",
    "print(file)\n",
    "with open(os.path.join(path,file),\"r\",encoding = \"utf8\") as f:\n",
    "    data = f.read()\n",
    "    idlist = re.findall(r\"\\(([\\d]{6})\\)\",data)\n",
    "    for id in idlist:\n",
    "        if pro_dict[id][\"ans\"].strip() == \"\":\n",
    "            print(id+\"\\n\\n\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3.8.8 ('base')",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.8"
  },
  "orig_nbformat": 4,
  "vscode": {
   "interpreter": {
    "hash": "d311ffef239beb3b8f3764271728f3972d7b090c974f8e972fcdeedf230299ac"
   }
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
